TruncateResponseHandler (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.service

## Class TruncateResponseHandler

- java.lang.Object
- - org.apache.cassandra.service.TruncateResponseHandler

- All Implemented Interfaces:
    IAsyncCallback

      public class TruncateResponseHandler
      extends java.lang.Object
      implements IAsyncCallback

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SimpleCondition` | `condition`
    `protected static org.slf4j.Logger` | `logger`
    `protected java.util.concurrent.atomic.AtomicInteger` | `responses`

    - ### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

      `isAlive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruncateResponseHandler(int responseCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `get()`
    `boolean` | `isLatencyForSnitch()`
    `void` | `response(MessageIn message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.net.IAsyncCallback

      `supportsBackPressure`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### condition

          protected final SimpleCondition condition

    - #### responses

          protected final java.util.concurrent.atomic.AtomicInteger responses

  - ### Constructor Detail

    - #### TruncateResponseHandler

          public TruncateResponseHandler(int responseCount)

  - ### Method Detail

    - #### get

          public void get()
                   throws java.util.concurrent.TimeoutException

      Throws:
        `java.util.concurrent.TimeoutException`

    - #### response

          public void response(MessageIn message)

      Specified by:
        `response` in interface `IAsyncCallback`
      Parameters:
        `message` - response received.

    - #### isLatencyForSnitch

          public boolean isLatencyForSnitch()

      Specified by:
        `isLatencyForSnitch` in interface `IAsyncCallback`
      Returns:
        true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Copyright © 2018 The Apache Software Foundation